aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_sched_latency_run.sh
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2021-04-28 15:52:39 +0300
committerGitHub <noreply@github.com>2021-04-28 15:52:39 +0300
commit029cb31ef951664c12cfe61563a25f3ff6449e5a (patch)
treebb12bb9dcd04e8a1176a782b50a16a085c03963f /test/performance/odp_sched_latency_run.sh
parentc3e252739b6c5812d11ac07ec7df687d927de36e (diff)
parent20eb6b4655671fbfb6fd41c7407762cd30f1cfc5 (diff)
Merge ODP v1.27.0.0v1.27.0.0_DPDK_19.11
Merge ODP linux-generic v1.27.0.0 into ODP-DPDK.
Diffstat (limited to 'test/performance/odp_sched_latency_run.sh')
-rwxr-xr-xtest/performance/odp_sched_latency_run.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/test/performance/odp_sched_latency_run.sh b/test/performance/odp_sched_latency_run.sh
index bcccd77a9..372fdb166 100755
--- a/test/performance/odp_sched_latency_run.sh
+++ b/test/performance/odp_sched_latency_run.sh
@@ -14,9 +14,13 @@ ALL=0
run()
{
echo odp_sched_latency_run starts requesting $1 worker threads
- echo ===============================================
+ echo =========================================================
- $TEST_DIR/odp_sched_latency${EXEEXT} -c $1 || exit $?
+ if [ $(nproc) -lt $1 ]; then
+ echo "Not enough CPU cores. Skipping test."
+ else
+ $TEST_DIR/odp_sched_latency${EXEEXT} -c $1 || exit $?
+ fi
}
run 1